CVE-2006-4023

Properties

Published:
07.08.2006
Updated:
22.10.2018
Patch available:
Severity:
Medium
CVSS vector:
(AV:N/AC:L/Au:N/C:P/I:N/A:N)
Product:
php: php
php: php
php: php

Vulnerability description

The ip2long function in PHP 5.1.4 and earlier may incorrectly validate an arbitrary string and return a valid network IP address, which allows remote attackers to obtain network information and facilitate other attacks, as demonstrated using SQL injection in the X-FORWARDED-FOR Header in index.php in MiniBB 2.0.  NOTE: it could be argued that the ip2long behavior represents a risk for security-relevant issues in a way that is similar to strcpy's role in buffer overflows, in which case this would be a class of implementation bugs that would require separate CVE items for each PHP application that uses ip2long in a security-relevant manner.

References:

MISC: http://retrogod.altervista.org/php_ip2long.htm
SECTRACK: http://securitytracker.com/id?1016609
BUGTRAQ: http://www.securityfocus.com/archive/1/441529/100/100/threaded
BUGTRAQ: http://www.securityfocus.com/archive/1/441708/100/100/threaded